
/*
 * libcookie - a HTTP cookie library for ANSI C
 * Copyright (C) 1998-1999 Alex Demko <ademko@mbnet.mb.ca>
 *
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * test-libcookie.c - a test/example program that uses libcookie
 * $Id: test-libcookie.c,v 1.10 1999/03/06 17:19:46 ademko Exp $
 *
 */

#include <stdio.h>
#include <stdlib.h>

#include <cookie.h>

/* main line */
int main(void) {
	int count;
	char *cookiestr, buf[100];
	void *list;

	/* load the cookies into the internal buffers */
	cookieLoad();

	/* get the value of the 'visit-count' cookie */
	cookiestr = cookieGet("visit-count");

	/* if not NULL, it contains a valid value */
	if (cookiestr)
	   count = atoi(cookiestr); /* load the count from the cookie */
	   else count = 0;          /* otherwise, start the count at 0 */

	/* start the header */
	printf("Content-type: text/html\n");
	/* increment the counter and set a new cookie */
	sprintf(buf,"%d",count+1);
	cookieSet("visit-count",buf);
	/* end the http header */
	printf("\n");

	/*cookieSetExpires("today");
	cookieSetDomain("mbnet.mb.ca");
	cookieSetPath("/home");
	cookieSetSecure(1);*/

	if (count)
	   /* they were here before, greet them */
	   printf("Hello repeat visitor! I see you've been"
	    " here %d times before!<p>\n",count);
	   /* first time, send them a welcome message */
	   else printf("Welcome new visitor!<p>\n");

	/* list all the cookies on the users system */
	printf("Here is a list of cookies on your system "
	       "(that I can access anyway):<p><ul>\n");
	list = cookieListOpen(); /* open an interation list */
	while (list) {
	   /* show this cookie and load the next one */
	   printf("<li>%s = %s\n",cookieListName(list),cookieListValue(list));
	   list = cookieListNext(list);
	}
	printf("</ul><p>\n");

	/* free the cookies from the internal buffers (complements
	   cookieLoad() */
	cookieFree();

	/* return to OS */
	return EXIT_SUCCESS;
}

